Anonymous Login
2019-10-20 20:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000393v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:08
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000393: user specific priority not shown in taskss->tasks per user
Descriptionsee also forum
in tasks -> tasks per user, I can set a user specific task priority.

I assume that this should be displayed in the P column, because the task priority (it's symbol) is shown as part of the task name if other than normal.

But updating the user specific priority does not show in the P column.
Neither in my local copy (of end feb. 2010) nor in the demo.
I modified my todo screen of tasks to show this field in an extra column - which confirms the writing to the db works, it is just displaying in tasks per user that is broken.


Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000770

opto (manager)

solution: replace prio by priority in return:

public function getUserSpecificTaskPriority($user_id = 0, $task_id = null) {
        $q = new DBQuery;
        // use task_id of given object if the optional parameter task_id is empty
        $task_id = empty($task_id) ? $this->task_id : $task_id;

        $q->addTable('user_tasks');
        $q->addQuery('user_task_priority');
        $q->addWhere('user_id = ' . (int)$user_id . ' AND task_id = ' . (int)$task_id);
        $priority = $q->loadHash();
        $q->clear();
        return $priority ? $priority['user_task_priority'] : null;

~0000771

caseydk (administrator)

Applied the above listed patch in r969 but there's a second one in the forums that hasn't been applied.

~0000959

caseydk (administrator)

I *think* this one is solved. Could you please check the latest development version and let me know the results? Thanks.

~0000981

opto (manager)

Yes. this is ok now. Thanks!

~0000982

caseydk (administrator)

Resolved as noted.
+Notes

-Issue History
Date Modified Username Field Change
2010-03-20 03:44 opto New Issue
2010-03-20 12:53 opto Note Added: 0000770
2010-03-21 18:01 caseydk Note Added: 0000771
2010-06-05 11:23 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-06-05 11:24 caseydk Note Added: 0000959
2010-06-05 11:24 caseydk Status new => feedback
2010-06-07 13:11 opto Note Added: 0000981
2010-06-07 14:19 caseydk Note Added: 0000982
2010-06-07 14:19 caseydk Status feedback => resolved
2010-06-07 14:19 caseydk Resolution open => fixed
2010-06-07 14:19 caseydk Assigned To => caseydk
2010-06-21 21:08 caseydk Status resolved => closed
2010-06-21 21:08 caseydk Fixed in Version => v2.0
+Issue History